Subject: Re: Cygwin build error
From: Corinna Vinschen <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 28 Apr 2006 10:28:29 +0200

This is a newlib problem.  I've redirected this mail to the appropriate
list newlib AT sourceware DOT org.

On Apr 27 15:14, Ernie Coskrey wrote:
> I ran into the following problem building the latest cygwin snapshot:
> 
> configure: loading cache .././config.cache
> configure: error: `CFLAGS' has changed since the previous run:
> configure:   former value:  -O2 -g -O2  
> configure:   current value: -O2 -g -O2 
> configure: error: changes in the environment can compromise the build
> configure: error: run `make distclean' and/or `rm .././config.cache' and start over
> configure: error: /bin/sh '../../../../src/newlib/libc/configure' failed for libc
> 
> By piping the output to a file, I saw that the former value of CFLAGS is "-O2 -g -O2  " (two spaces), while the current value is "-O2 -g -O2 " (one space).  This causes the comparison in libc/configure to fail.
> 
> The way I've resolved this is to replace the following line:
> 
>       if test "x$ac_old_val" != "x$ac_new_val"; then
> 
> with
> 
>       if test "`echo $ac_old_val`" != "`echo $ac_new_val`"; then
> 
> wherever it appears in any "configure" script (there are 75 configure scripts that contain this test, BTW).  There may be a more elegant way around this, but I haven't found it.  Running "make distclean" or removing config.cache doesn't resolve the problem.
> 
> -----
> Ernie Coskrey       SteelEye Technology, Inc.    803-461-3875

Corinna

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Project Co-Leader          cygwin AT cygwin DOT com
Red Hat

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/